;**************************************************************
; FileName:    MPFSImg2.s
; Description: Defines an MPFS2 image to be stored in program memory.
;              Defined in ASM30 assembly for optimal storage size.
; Processor:   PIC24E, PIC24F, PIC24H, dsPIC30F, dsPIC33F, dsPIC33E; Compiler:    Microchip C30;
; NOT FOR HAND MODIFICATION
; This file is automatically generated by the MPFS2 Utility
; ALL MODIFICATIONS WILL BE OVERWRITTEN BY THE MPFS2 GENERATOR
; Generated lun giu 03 2013 02:24:20 
; 
; Software License Agreement
; 
; Copyright (C) 2012 Microchip Technology Inc.  All rights
; reserved.
; 
; Microchip licenses to you the right to use, modify, copy, and 
 ; distribute: 
; (i)  the Software when embedded on a Microchip microcontroller or 
;      digital signal controller product ("Device") which is 
;      integrated into Licensee's product; or 
; (ii) ONLY the Software driver source files ENC28J60.c, ENC28J60.h,
;		ENCX24J600.c and ENCX24J600.h ported to a non-Microchip device
;		used in conjunction with a Microchip ethernet controller for
;		the sole purpose of interfacing with the ethernet controller.
;
; You should refer to the license agreement accompanying this 
; Software for additional information regarding your rights and 
; obligations.
; 
; THE SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS" WITHOUT
; WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT
; LIMITATION, ANY WARRANTY OF MERCHANTABILITY, FITNESS FOR A 
; PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL
; MICROCHIP BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR
; CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF
; PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
; BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE 
; THEREOF), ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER 
; SIMILAR COSTS, WHETHER ASSERTED ON THE BASIS OF CONTRACT, TORT
; (INCLUDING NEGLIGENCE), BREACH OF WARRANTY, OR OTHERWISE.
; 
;**************************************************************

.equ VALID_ID,0
.ifdecl __dsPIC30F
    .include "p30fxxxx.inc"
.endif
.ifdecl __dsPIC33F
    .include "p33fxxxx.inc"
.endif
.ifdecl __dsPIC33E
    .include "p33exxxx.inc"
.endif
.ifdecl __PIC24E
    .include "p24exxxx.inc"
.endif
.ifdecl __PIC24H
    .include "p24hxxxx.inc"
.endif
.ifdecl __PIC24F
    .include "p24fxxxx.inc"
.endif
.if VALID_ID <> 1
    .error "Processor ID not specified in generic include files.  New ASM30 assembler needs to be downloaded?"
.endif
	.text
	.section	MPFSData,code

	goto END_OF_MPFS	; Prevent accidental execution of constant data.
	.global BEGIN_MPFS
BEGIN_MPFS:
	.pbyte	0x4d,0x50,0x46,0x53,0x02,0x01,0x08,0x00,0x28,0x7b,0x6a,0xbc
	.pbyte	0xff,0xff,0x48,0xd8,0xca,0xc6,0x26,0x41,0x0a,0xa3,0xff,0xff
	.pbyte	0xc8,0x00,0x00,0x00,0x0d,0x01,0x00,0x00,0x3e,0x07,0x00,0x00
	.pbyte	0x65,0x47,0xa7,0x51,0x00,0x00,0x00,0x00,0x00,0x00,0xd5,0x00
	.pbyte	0x00,0x00,0x4b,0x08,0x00,0x00,0x0a,0x00,0x00,0x00,0x98,0xda
	.pbyte	0x9c,0x51,0x00,0x00,0x00,0x00,0x02,0x00,0xe1,0x00,0x00,0x00
	.pbyte	0x55,0x08,0x00,0x00,0x08,0x00,0x00,0x00,0x98,0xda,0x9c,0x51
	.pbyte	0x00,0x00,0x00,0x00,0x00,0x00,0xe2,0x00,0x00,0x00,0x5d,0x08
	.pbyte	0x00,0x00,0x24,0x06,0x00,0x00,0x8b,0x47,0xa7,0x51,0x00,0x00
	.pbyte	0x00,0x00,0x00,0x00,0xeb,0x00,0x00,0x00,0x81,0x0e,0x00,0x00
	.pbyte	0xba,0x01,0x00,0x00,0xfa,0x53,0xa7,0x51,0x00,0x00,0x00,0x00
	.pbyte	0x01,0x00,0xf5,0x00,0x00,0x00,0x3b,0x10,0x00,0x00,0xfe,0x06
	.pbyte	0x00,0x00,0x6a,0x49,0xa7,0x51,0x00,0x00,0x00,0x00,0x00,0x00
	.pbyte	0x02,0x01,0x00,0x00,0x39,0x17,0x00,0x00,0x55,0x04,0x00,0x00
	.pbyte	0x34,0x8a,0xac,0x51,0x00,0x00,0x00,0x00,0x02,0x00,0x0c,0x01
	.pbyte	0x00,0x00,0x8e,0x1b,0x00,0x00,0x10,0x00,0x00,0x00,0x34,0x8a
	.pbyte	0xac,0x51,0x00,0x00,0x00,0x00,0x00,0x00,0x68,0x75,0x6d,0x69
	.pbyte	0x64,0x69,0x74,0x79,0x2e,0x67,0x69,0x66,0x00,0x6c,0x65,0x74
	.pbyte	0x74,0x75,0x72,0x65,0x2e,0x6c,0x6f,0x67,0x00,0x00,0x74,0x65
	.pbyte	0x6d,0x70,0x2e,0x67,0x69,0x66,0x00,0x73,0x74,0x79,0x6c,0x65
	.pbyte	0x2e,0x63,0x73,0x73,0x00,0x64,0x6f,0x77,0x6e,0x6c,0x6f,0x61
	.pbyte	0x64,0x2e,0x70,0x6e,0x67,0x00,0x69,0x6e,0x64,0x65,0x78,0x2e
	.pbyte	0x68,0x74,0x6d,0x00,0x00,0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a
	.pbyte	0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00
	.pbyte	0x1f,0x00,0x00,0x00,0x28,0x08,0x02,0x00,0x00,0x01,0xfe,0xb4
	.pbyte	0x86,0xed,0x00,0x00,0x00,0x06,0x74,0x52,0x4e,0x53,0x00,0xff
	.pbyte	0x00,0xff,0x00,0xff,0x37,0x58,0x1b,0x7d,0x00,0x00,0x00,0x09
	.pbyte	0x70,0x48,0x59,0x73,0x00,0x00,0x0e,0xc3,0x00,0x00,0x0e,0xc3
	.pbyte	0x01,0xc7,0x6f,0xa8,0x64,0x00,0x00,0x06,0xde,0x49,0x44,0x41
	.pbyte	0x54,0x78,0x9c,0xb5,0x56,0x09,0x54,0x53,0x47,0x14,0xfd,0x59
	.pbyte	0xc1,0x48,0x58,0x4a,0xd9,0x62,0xd8,0x41,0x96,0x84,0x9d,0x14
	.pbyte	0xa8,0x56,0x11,0x81,0x22,0xa0,0x15,0x4a,0x51,0x5c,0x40,0x2a
	.pbyte	0x0a,0x35,0xa2,0xe7,0xd8,0x6a,0xdd,0x40,0x41,0xbb,0xa8,0x45
	.pbyte	0x5b,0x8b,0xad,0xa0,0x07,0x15,0x4e,0x15,0xb0,0xda,0x4a,0x25
	.pbyte	0x0d,0x16,0xa4,0x50,0x10,0x41,0x42,0x80,0x40,0x42,0x84,0x10
	.pbyte	0x84,0x40,0x22,0x20,0xb2,0x7c,0x45,0x12,0x92,0xdf,0x1f,0x43
	.pbyte	0x91,0xa4,0x69,0x80,0xda,0xde,0x33,0x99,0xcc,0xbc,0x77,0xdf
	.pbyte	0xfd,0x33,0x6f,0xfe,0xcc,0x1f,0x34,0x04,0x41,0xc0,0x5f,0x40
	.pbyte	0xc3,0xbf,0xf7,0x52,0x69,0xb7,0xd2,0x43,0xa7,0x3a,0x6b,0xdc
	.pbyte	0xe5,0x4e,0x99,0x94,0x29,0xef,0x6c,0x8d,0x0c,0x6b,0xef,0x6d
	.pbyte	0xb4,0x78,0xd3,0x0a,0xad,0x60,0xdf,0x67,0x76,0xd9,0x87,0xbb
	.pbyte	0xa3,0x95,0x04,0x7e,0xbe,0x5b,0x69,0x6f,0x8e,0x27,0xd9,0x7b
	.pbyte	0xc8,0x3b,0x6b,0x03,0x96,0x6d,0x3c,0x70,0xe1,0x87,0x2f,0x3c
	.pbyte	0x7e,0xfc,0xad,0x54,0x1e,0x13,0xec,0x09,0x95,0x56,0x15,0x46
	.pbyte	0x05,0x45,0xcb,0x3b,0xbf,0xd6,0x81,0xf9,0xa7,0xb6,0xcb,0x69
	.pbyte	0x33,0x05,0x66,0x02,0x3d,0xdd,0xf2,0x88,0xcb,0x64,0x5e,0xd9
	.pbyte	0xa9,0xe4,0xa8,0x6b,0x65,0x3d,0x9b,0x90,0x29,0xac,0x0f,0x7b
	.pbyte	0xee,0xa3,0x81,0xe7,0x36,0xe6,0x01,0x72,0xc7,0x5b,0x24,0x17
	.pbyte	0xb8,0xa6,0x66,0xd5,0x0f,0x8f,0x43,0x2b,0x88,0xa2,0x84,0xa8
	.pbyte	0xb5,0x4a,0x52,0xe7,0x12,0xbd,0x5f,0xfe,0x53,0xa6,0xa4,0x34
	.pbyte	0x3d,0xfc,0xa7,0xaa,0x96,0x88,0xa5,0x64,0x35,0x8e,0xeb,0x75
	.pbyte	0xe3,0x11,0x4b,0xd5,0x45,0x5c,0xdd,0x43,0x89,0x4d,0x2b,0xdc
	.pbyte	0x15,0x65,0xe7,0x4d,0xf2,0x54,0x72,0x48,0x26,0xc1,0xec,0xfd
	.pbyte	0x6b,0x9c,0x22,0xd3,0xf8,0xc5,0x9e,0x1f,0xec,0x4c,0x39,0xf6
	.pbyte	0xb1,0xbf,0xa3,0xf5,0x4a,0xb9,0x63,0x7b,0x76,0xe7,0xa5,0x1d
	.pbyte	0xae,0xfc,0xe2,0x2f,0xf6,0x9f,0xcc,0xf2,0x0f,0x5e,0xf9,0x75
	.pbyte	0x6e,0xeb,0xf9,0x23,0x2f,0x1d,0xb0,0xb5,0xa6,0x91,0x41,0x24
	.pbyte	0x48,0xba,0xc5,0xe6,0x20,0xab,0xed,0xfc,0x11,0xea,0xab,0x79
	.pbyte	0xb0,0xda,0x9a,0x2e,0xd4,0x78,0x1d,0x8b,0xc5,0xd9,0x5a,0x24
	.pbyte	0x29,0xe5,0x2a,0x3a,0x2c,0xc4,0xa5,0x8b,0x4b,0xaf,0xe8,0xa3
	.pbyte	0x6e,0x56,0x4e,0xa2,0x3e,0x9e,0xe0,0xe7,0x02,0x97,0x19,0xc3
	.pbyte	0x9d,0x9e,0xf9,0xa4,0xf4,0x39,0x1a,0x85,0x53,0x9b,0x05,0xd5
	.pbyte	0xf9,0xc1,0x98,0x90,0x80,0xc9,0x39,0x7c,0x6a,0x90,0xb6,0x9b
	.pbyte	0x8d,0xfd,0x9c,0x02,0xea,0x39,0x1d,0xa1,0x0e,0xc2,0xcc,0xcb
	.pbyte	0xdc,0x6f,0x0e,0xc6,0xed,0xfb,0x9a,0x96,0xb9,0x7f,0xe3,0x2c
	.pbyte	0x01,0x4b,0x5c,0xdd,0x01,0xc0,0x1d,0x92,0x2e,0x78,0x67,0xeb
	.pbyte	0x39,0xe4,0x02,0x43,0xa7,0xe8,0x13,0x9c,0xc2,0x4f,0xa7,0x49
	.pbyte	0x39,0x37,0x68,0x04,0x53,0xbd,0x90,0x25,0x4b,0x80,0x99,0xcb
	.pbyte	0x9a,0x43,0x67,0x7f,0x18,0xe2,0x6f,0x69,0x46,0x78,0x24,0xec
	.pbyte	0xd7,0xd5,0x02,0x15,0xc6,0xd4,0x33,0x17,0x76,0x6c,0x79,0x2b
	.pbyte	0x76,0xad,0x09,0x1a,0x85,0x3a,0x76,0xee,0x4a,0x0a,0x35,0x6e
	.pbyte	0x2a,0xa0,0xad,0x8b,0xf3,0x02,0x6c,0xab,0x61,0x0e,0xfb,0x79
	.pbyte	0xbc,0xed,0x68,0x63,0x54,0x5e,0xc7,0x39,0x9c,0x91,0x9d,0x18
	.pbyte	0xe7,0x87,0x27,0x3a,0x3f,0x7c,0xd8,0x99,0x5e,0x22,0x3a,0x7b
	.pbyte	0x70,0x53,0x0a,0xd5,0xfd,0xd5,0x13,0x1c,0xad,0x9c,0xe0,0x02
	.pbyte	0x37,0x92,0x52,0xbf,0x0c,0x0a,0x09,0xa7,0xb5,0x2c,0x94,0xa0
	.pbyte	0xdd,0x38,0x6c,0x8e,0x90,0x3f,0xe2,0x17,0xb1,0x7e,0x99,0x0f
	.pbyte	0x5e,0x75,0x0e,0xd3,0x90,0x61,0x4c,0xcc,0xf0,0x83,0xbd,0x1d
	.pbyte	0x7c,0x03,0xa0,0xcf,0x34,0x6c,0xf9,0xb6,0x48,0x1b,0x0c,0x1a
	.pbyte	0x3f,0x93,0xa0,0x1a,0x90,0x9d,0x12,0x0f,0xd7,0x05,0x69,0xf6
	.pbyte	0x7a,0xf8,0x45,0x9a,0xb2,0xa4,0x82,0x7f,0x62,0x03,0x1a,0xde
	.pbyte	0xf1,0x79,0xc8,0xcf,0xce,0xe6,0x0b,0x79,0xd6,0x66,0xb6,0x73
	.pbyte	0x62,0xd3,0x1b,0x04,0x4c,0xfe,0xc4,0x81,0xf7,0xe7,0xa0,0xfd
	.pbyte	0x78,0x48,0xf0,0x07,0x93,0xd5,0x27,0x26,0xd4,0xb3,0x99,0x90
	.pbyte	0x4c,0x4a,0x21,0x7b,0x6b,0x62,0x9b,0xbc,0x41,0x8c,0xf1,0x1f
	.pbyte	0x39,0x91,0xd7,0xe4,0xee,0xf0,0xde,0xa9,0xbc,0x6a,0x27,0x9b
	.pbyte	0x7e,0x1d,0x9c,0xb1,0xa6,0x91,0x90,0x6d,0x49,0x79,0x47,0x49
	.pbyte	0x6d,0x5d,0xdc,0xa2,0x7b,0xfc,0xc6,0x76,0x51,0xc1,0x67,0xb1
	.pbyte	0x9a,0xd8,0x0a,0xec,0x48,0xb9,0x3c,0x89,0xb5,0xe8,0x14,0x81
	.pbyte	0x05,0xf4,0x92,0x75,0x21,0xef,0x2a,0x8c,0x0f,0x5a,0x98,0x8c
	.pbyte	0xd6,0xde,0xf8,0xc8,0x65,0x5a,0x18,0x5d,0x25,0xf6,0xa9,0x03
	.pbyte	0x01,0xe7,0xae,0xf2,0x9a,0x85,0xc0,0xd8,0xf0,0x53,0x85,0xe5
	.pbyte	0x1a,0xed,0xae,0xdd,0x22,0x30,0x29,0xda,0x22,0x7c,0x77,0xf6
	.pbyte	0xed,0xb3,0x9f,0x4c,0xb1,0x9f,0x8c,0x0d,0x3c,0x1d,0x1d,0x15
	.pbyte	0x0d,0x20,0xcf,0xec,0xdf,0x90,0x9c,0x9a,0x99,0xb0,0xfe,0x23
	.pbyte	0xd8,0x58,0x40,0x2f,0xb7,0x27,0x82,0x26,0xa6,0x66,0x00,0x42
	.pbyte	0xba,0xd2,0xc7,0xe2,0xd5,0x48,0x72,0x68,0xfc,0xfa,0xee,0xc9
	.pbyte	0x82,0xbd,0x2b,0xe1,0x76,0xee,0xe9,0x83,0x70,0x7d,0xb3,0xac
	.pbyte	0x72,0x31,0x61,0xb8,0xf7,0xb9,0x71,0xe6,0x77,0xcd,0xa9,0xdb
	.pbyte	0xc8,0x38,0x84,0xec,0x15,0x7b,0x95,0xd7,0x02,0xa1,0x80,0xab
	.pbyte	0x68,0xd7,0xb2,0x98,0x0c,0xb6,0xc8,0xcb,0x7e,0xbc,0xba,0xc7
	.pbyte	0xf6,0x51,0x7b,0x73,0x7a,0x12,0xf9,0x16,0xbd,0x3d,0x79,0xcb
	.pbyte	0xa6,0x19,0x39,0xb1,0x73,0x39,0xfd,0xb1,0xfc,0xa0,0x38,0x98
	.pbyte	0x91,0x93,0xb4,0xce,0x3a,0x32,0xf0,0x8d,0xdb,0x0c,0xdd,0x12
	.pbyte	0xda,0xcd,0xef,0x8e,0x04,0xdd,0x2c,0xe6,0xee,0x8e,0xdf,0xac
	.pbyte	0x26,0x27,0x45,0xe5,0x55,0xbb,0xe2,0x1c,0x4e,0x16,0xe9,0x8f
	.pbyte	0x8a,0xa1,0xc7,0x9c,0xd2,0x0b,0xe9,0x81,0xb9,0xd7,0x5b,0xf7
	.pbyte	0x25,0xc5,0xab,0xcf,0x60,0x4b,0x67,0xbf,0x95,0xa5,0xf9,0xd0
	.pbyte	0xf8,0x24,0x1a,0x8d,0xd4,0xc1,0xe3,0x0b,0xe8,0xbc,0x99,0x54
	.pbyte	0x55,0xf6,0x0a,0x8a,0x39,0x0a,0x1a,0x93,0xf4,0xf7,0x74,0x8b
	.pbyte	0x86,0x33,0x76,0xd9,0x15,0xde,0x19,0xd2,0xb4,0x3a,0x7e,0xae
	.pbyte	0x94,0xe3,0x59,0xd7,0xc2,0x7d,0xf5,0x6d,0x2c,0x2c,0x6f,0x57
	.pbyte	0x08,0x8f,0x52,0xc3,0x35,0xb1,0x61,0x1c,0x4e,0x8c,0x81,0xeb
	.pbyte	0x51,0xb0,0xcf,0x67,0x87,0x3f,0xf0,0x37,0xa8,0xdf,0x0d,0xba
	.pbyte	0x3a,0x04,0xb5,0xf6,0x79,0xee,0x9d,0x79,0xed,0xcb,0xf9,0x42
	.pbyte	0xcd,0x58,0xd8,0x7c,0xb6,0x2d,0x91,0x08,0xbf,0xa1,0xff,0xbd
	.pbyte	0x7a,0xcf,0xa0,0xb0,0x82,0x83,0xe5,0x3d,0xee,0x5e,0xed,0xab
	.pbyte	0xfa,0xc1,0x7c,0x5d,0xf5,0xa2,0xaa,0xe6,0xeb,0xd5,0x03,0x18
	.pbyte	0xbc,0x61,0x0d,0x0f,0xd1,0x21,0x6a,0x4c,0x08,0x5e,0x84,0xc7
	.pbyte	0x19,0x8d,0x82,0x42,0x2c,0x56,0x5b,0x1b,0x6b,0xf0,0x5a,0xea
	.pbyte	0xfd,0x4f,0x05,0x26,0x06,0xd0,0x87,0x41,0xa8,0x5c,0x5a,0xeb
	.pbyte	0x0b,0xc4,0x9b,0xc5,0x65,0xbd,0x01,0x4e,0x52,0x37,0x07,0xa3
	.pbyte	0xa2,0xca,0x36,0x24,0x20,0xd9,0x10,0x1a,0xfc,0x5a,0xea,0xc6
	.pbyte	0x06,0x44,0xb8,0xb4,0xf2,0x58,0xd4,0x08,0x3d,0xb1,0x78,0xc2
	.pbyte	0x65,0xb1,0x1b,0x7e,0xa1,0xe9,0xc5,0x9f,0x69,0x37,0x2a,0x07
	.pbyte	0xba,0x85,0x03,0x00,0x02,0xb9,0x61,0x55,0xe0,0xbf,0x57,0x57
	.pbyte	0x80,0x64,0x3b,0xf5,0x49,0x1f,0x1c,0xee,0xcd,0xbc,0x54,0x52
	.pbyte	0x54,0xdd,0x25,0x96,0x41,0x38,0x1c,0xee,0x44,0x3e,0xf7,0x1e
	.pbyte	0x6b,0xf0,0x50,0x3c,0xc5,0xcc,0x68,0x96,0x33,0x59,0x93,0xfa
	.pbyte	0x34,0x6e,0xdc,0xa9,0x27,0x99,0x3f,0x13,0xd8,0x63,0x2b,0x9a
	.pbyte	0x9f,0x6b,0x6b,0x63,0xb4,0x30,0xc8,0xdf,0x6a,0x3b,0x2d,0x0d
	.pbyte	0xa5,0x7b,0xb7,0xaa,0xaa,0x5f,0xa3,0x95,0xdf,0xa2,0x57,0x2e
	.pbyte	0xf5,0x32,0xc1,0x60,0x31,0xbf,0x37,0x3c,0x71,0x71,0xb4,0xdb
	.pbyte	0xb3,0x29,0x40,0x5b,0x4b,0x5f,0xbd,0x7a,0x2d,0xbb,0xc5,0xc7
	.pbyte	0x99,0xec,0xe5,0x4c,0x28,0xb8,0xd3,0x70,0x66,0xcf,0x46,0x2c
	.pbyte	0x46,0x27,0xf7,0x97,0xb2,0xcf,0x2f,0xd5,0xd8,0x19,0x8c,0x87
	.pbyte	0xbd,0xa3,0x74,0xbd,0xc8,0xff,0xf5,0x6e,0x53,0x6b,0xfb,0xa6
	.pbyte	0xd5,0xc4,0x98,0xb3,0x11,0xf0,0x95,0x05,0x00,0x10,0x89,0x31
	.pbyte	0xc8,0x8c,0xbc,0xd6,0xe3,0xe7,0x8b,0xd2,0x76,0x46,0xa1,0x50
	.pbyte	0x38,0x55,0xf5,0xb2,0xa6,0x47,0xf9,0xd5,0x93,0xc5,0x8c,0x3f
	.pbyte	0x52,0x62,0x3c,0xbd,0xc9,0x14,0xbe,0xa0,0x45,0x34,0x30,0xe2
	.pbyte	0x40,0xd4,0xaa,0xc8,0x8a,0x36,0x31,0x5a,0x3c,0x4d,0x2b,0x2c
	.pbyte	0xf9,0xbd,0x89,0xf5,0x30,0x22,0xd8,0x34,0x22,0xd0,0x3b,0xab
	.pbyte	0x68,0xe4,0x62,0x59,0x6f,0xe2,0x2a,0x9c,0xa3,0xb5,0x1e,0xf7
	.pbyte	0x11,0xf8,0x80,0xd9,0x9b,0x10,0xe9,0x81,0x7a,0x79,0x35,0x52
	.pbyte	0x52,0xbf,0xcf,0x6a,0xe8,0xe0,0x8b,0x46,0x07,0x25,0x7c,0x9e
	.pbyte	0xf8,0xaa,0x7e,0x4d,0xdc,0xea,0x40,0x6b,0x22,0xd9,0x9a,0xa8
	.pbyte	0x9c,0xb1,0xd2,0xca,0x5a,0x06,0x27,0x2a,0xd8,0x38,0xe4,0x23
	.pbyte	0x4a,0x0b,0x1f,0xfc,0x34,0x7b,0x48,0x02,0x0a,0x37,0x07,0x19
	.pbyte	0x68,0x6b,0x69,0x27,0x1d,0xad,0x76,0xb4,0xd0,0xcd,0x3f,0xbd
	.pbyte	0x57,0x7d,0xde,0x7d,0x5d,0x3c,0x4d,0x0d,0xb9,0x7e,0xce,0x2f
	.pbyte	0x50,0x48,0x88,0x64,0xe7,0xae,0x30,0xd6,0xb5,0x34,0xd2,0x2b
	.pbyte	0xd8,0xdd,0x02,0x3e,0xc1,0x78,0x21,0x1a,0x29,0x0b,0x5d,0x6e
	.pbyte	0xed,0xb3,0xd5,0xb7,0x98,0xa1,0xf5,0x0d,0xad,0x6b,0xe2,0x29
	.pbyte	0x77,0xf7,0x3a,0x2b,0x5b,0x6b,0xa7,0xcf,0xcf,0xd7,0xdb,0x11
	.pbyte	0x86,0xbf,0x3d,0xb4,0x19,0xa3,0xbc,0xc3,0x55,0x33,0x63,0x45
	.pbyte	0x70,0x98,0x6e,0x3f,0x19,0xe9,0xfb,0xea,0x62,0x99,0xa7,0xa3
	.pbyte	0x34,0x79,0x8b,0x5b,0x6d,0x9b,0x3b,0x4f,0x04,0x49,0x65,0xd2
	.pbyte	0xaa,0x1e,0x4c,0x63,0x49,0xb7,0x88,0x57,0xfb,0x49,0xac,0x23
	.pbyte	0xd9,0x69,0xc9,0x97,0xd9,0x0d,0x66,0x06,0x43,0x19,0xfb,0x62
	.pbyte	0xb4,0xb0,0xfa,0x7f,0x5f,0x42,0x4d,0x67,0x5e,0xde,0xed,0x7a
	.pbyte	0x53,0xc3,0x67,0x1e,0x1e,0x94,0x33,0xb7,0x90,0xdd,0x43,0x12
	.pbyte	0x04,0x42,0x86,0x44,0x22,0xc7,0xc7,0xc7,0x16,0x02,0x60,0xce
	.pbyte	0xf1,0xa0,0x92,0x7b,0x82,0xf2,0xdc,0xa6,0xf4,0xe4,0x30,0x5d
	.pbyte	0x9d,0x7f,0xbe,0xbb,0x68,0x50,0x47,0xa1,0x90,0xa2,0x41,0x00
	.pbyte	0x8b,0x92,0x80,0x63,0xc3,0xe0,0x33,0x1c,0x5e,0x17,0x27,0x83
	.pbyte	0x80,0x01,0x41,0xa7,0x81,0xbe,0x08,0x8d,0x32,0xed,0xe8,0x19
	.pbyte	0xf3,0x70,0x26,0x68,0x90,0x9e,0x45,0x3d,0x79,0x7d,0xf8,0xc9
	.pbyte	0xcb,0x37,0x8e,0x7e,0xcf,0x38,0x94,0xe0,0x0a,0xc8,0x26,0xda
	.pbyte	0x78,0x02,0x04,0x20,0x75,0x59,0x6b,0x22,0x86,0xac,0x0e,0x9f
	.pbyte	0x65,0xf8,0x92,0x8c,0xa2,0xde,0x5d,0xa5,0x21,0x7c,0x16,0x75
	.pbyte	0x18,0xfb,0xb6,0xbc,0x2f,0x96,0x8c,0x94,0x56,0x3f,0x68,0x60
	.pbyte	0xf7,0xc9,0x00,0x24,0x02,0x82,0xd8,0xed,0x3d,0xde,0xae,0x84
	.pbyte	0xec,0x34,0xaa,0xe6,0xc0,0x39,0xa9,0xc3,0xc0,0x62,0xf4,0x42
	.pbyte	0xfd,0x03,0x43,0xfd,0xe7,0xa2,0x36,0x7f,0xf5,0xd7,0xc1,0xff
	.pbyte	0xab,0xfe,0x27,0xfe,0xb7,0xca,0x9d,0x47,0x1a,0x6b,0x76,0x00
	.pbyte	0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82,0x7e
	.pbyte	0x66,0x69,0x6c,0x65,0x64,0x61,0x74,0x61,0x7e,0x00,0x00,0x00
	.pbyte	0x00,0x0c,0x00,0x00,0x00,0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a
	.pbyte	0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00
	.pbyte	0x14,0x00,0x00,0x00,0x28,0x08,0x02,0x00,0x00,0x01,0x06,0x54
	.pbyte	0x7d,0x1a,0x00,0x00,0x00,0x06,0x74,0x52,0x4e,0x53,0x00,0xff
	.pbyte	0x00,0xff,0x00,0xff,0x37,0x58,0x1b,0x7d,0x00,0x00,0x00,0x09
	.pbyte	0x70,0x48,0x59,0x73,0x00,0x00,0x0e,0xc3,0x00,0x00,0x0e,0xc3
	.pbyte	0x01,0xc7,0x6f,0xa8,0x64,0x00,0x00,0x05,0xc4,0x49,0x44,0x41
	.pbyte	0x54,0x78,0x9c,0x85,0x55,0x09,0x50,0x13,0x67,0x14,0xde,0xdd
	.pbyte	0x6c,0x12,0x41,0x0e,0x95,0x4b,0xa9,0x0c,0x20,0x18,0x39,0xc2
	.pbyte	0x11,0xc2,0x25,0x45,0x60,0xf0,0x66,0x44,0x8a,0xc5,0x76,0x94
	.pbyte	0x43,0x5b,0xc0,0x56,0xea,0x38,0x55,0x0b,0xd3,0x2a,0xda,0x56
	.pbyte	0xd1,0x8e,0x56,0xa7,0xd3,0x62,0x6b,0x45,0xa5,0x78,0x5b,0xa9
	.pbyte	0x50,0x04,0x1c,0x41,0x2d,0x44,0x05,0x0c,0xa8,0x10,0xce,0x40
	.pbyte	0x04,0xc2,0x21,0x84,0x43,0x30,0xc6,0x84,0x90,0x64,0x77,0xbb
	.pbyte	0x7f,0x0e,0x02,0x01,0xf1,0xcd,0xce,0xee,0xff,0xfe,0xef,0x1d
	.pbyte	0xdf,0x7b,0xff,0xfb,0x67,0x51,0x82,0x20,0x20,0xb5,0xa0,0x9a
	.pbyte	0x4f,0x39,0xf7,0xa1,0x76,0x05,0xc1,0xea,0xbd,0xa6,0xae,0x1e
	.pbyte	0xa1,0x48,0x06,0x56,0xee,0xf6,0x76,0x27,0xb2,0x8a,0x50,0x8d
	.pbyte	0x07,0xaa,0xf7,0xca,0x7d,0x50,0x89,0x26,0x1d,0x3c,0xcf,0x0a
	.pbyte	0x0c,0x46,0x4d,0xcc,0xe8,0x6e,0x16,0x22,0xad,0x49,0xdc,0xbe
	.pbyte	0x9f,0x3f,0x5a,0xc3,0x8c,0x59,0xbb,0x5e,0x6b,0x7b,0xe5,0x54
	.pbyte	0xea,0xb5,0x92,0x47,0xe5,0xd5,0x13,0x09,0x20,0x88,0x02,0xe3
	.pbyte	0x08,0x8c,0x00,0x3d,0xff,0x7e,0x69,0x41,0xab,0x0d,0x02,0x9b
	.pbyte	0x67,0xa7,0x78,0x03,0x3d,0x7a,0xd5,0x9a,0x60,0x56,0x67,0x6b
	.pbyte	0x7b,0x07,0x48,0x32,0x41,0x52,0x9f,0xf4,0x95,0xb8,0xbf,0xaf
	.pbyte	0xbf,0x27,0xf3,0x56,0x6b,0xd6,0x81,0x78,0xa0,0x6f,0xfd,0xf6
	.pbyte	0x4a,0xc9,0x99,0xd4,0xed,0x91,0x14,0x1d,0x37,0x02,0xca,0xbe
	.pbyte	0x75,0xc3,0x8d,0xc1,0xd0,0xe9,0x30,0xec,0xcb,0x62,0xc8,0xa4
	.pbyte	0x3a,0x7f,0x18,0x82,0x7e,0x2b,0x41,0x93,0x82,0x31,0xad,0x7e
	.pbyte	0xe1,0x10,0x3b,0xa3,0x10,0x0a,0xf4,0x60,0xdd,0xe3,0x56,0xa0
	.pbyte	0x7c,0x61,0xb3,0x1c,0x73,0x18,0x57,0x89,0x37,0xa6,0x17,0xbc
	.pbyte	0xea,0xae,0x47,0x5d,0x1c,0xdc,0x9e,0xf3,0xeb,0x57,0xdb,0x0f
	.pbyte	0x6c,0x49,0x89,0xea,0xea,0x5d,0x02,0xec,0x7d,0x5c,0x3c,0x3b
	.pbyte	0x85,0x80,0x9c,0xfd,0x62,0x8f,0x29,0xfc,0x30,0x4c,0xce,0x79
	.pbyte	0xde,0x64,0x6e,0x42,0x65,0xbb,0x7a,0x4e,0xe9,0x2c,0x29,0x07
	.pbyte	0x4e,0xe7,0x1e,0xdd,0xb5,0x39,0xdc,0x8f,0x4d,0xae,0xcf,0xe6
	.pbyte	0xdd,0xf5,0x73,0xb5,0xf0,0x71,0xf5,0xd3,0xc3,0x35,0x8d,0x42
	.pbyte	0xf0,0x6e,0xeb,0x5e,0xb6,0xd8,0x88,0xe9,0x64,0xf9,0x46,0x22
	.pbyte	0x9b,0xe2,0x0d,0xc3,0xe0,0x9d,0x5d,0xd8,0x18,0xee,0x6d,0x6a
	.pbyte	0x67,0x3d,0x57,0x09,0x6a,0x98,0x04,0x6b,0x44,0x39,0xd7,0x0e
	.pbyte	0xc7,0x46,0x20,0x4d,0x07,0x26,0x60,0xa5,0x4a,0x2a,0x19,0x7d
	.pbyte	0x0d,0xf6,0xd4,0x4c,0x8d,0x69,0x70,0x7e,0x99,0x28,0xcc,0x5f
	.pbyte	0x0d,0x8b,0xdf,0x0e,0x9e,0xbf,0x79,0xbf,0xec,0x72,0x7a,0xe2
	.pbyte	0x99,0x7a,0x82,0xc0,0x4b,0xdb,0xe7,0x75,0x8e,0x62,0xc7,0x77
	.pbyte	0x7f,0x12,0x18,0x7f,0x04,0xc0,0x74,0x2a,0xad,0x43,0xa4,0xa2
	.pbyte	0x53,0x8d,0xfa,0xfb,0x06,0x16,0xd9,0x2e,0x52,0x28,0xe4,0x82
	.pbyte	0x06,0x0e,0xf4,0xa9,0x8f,0x1f,0xc3,0x12,0xc0,0x73,0xe8,0xf3
	.pbyte	0x7e,0xdf,0x9f,0xb0,0xe7,0xc4,0x85,0x35,0x2e,0xb6,0x1b,0x42
	.pbyte	0x8c,0x47,0xc4,0xf8,0x8d,0x42,0xcb,0xb2,0xca,0xd2,0xcc,0x83
	.pbyte	0x3b,0xf5,0xd4,0x7e,0x49,0x4b,0xd4,0xae,0xec,0x20,0x7f,0xa6
	.pbyte	0xae,0x2d,0x06,0xa7,0x6a,0x20,0x53,0x0a,0xe3,0x0b,0x5b,0xbb
	.pbyte	0xfa,0xc5,0x2b,0x58,0xce,0xc6,0x73,0x16,0x18,0xc2,0x27,0x2f
	.pbyte	0x15,0xdb,0x9a,0x8d,0x79,0xbb,0x3b,0x24,0xff,0x98,0x9b,0xf6
	.pbyte	0x59,0x80,0x17,0xc3,0x5b,0x0f,0x0f,0x8d,0xf6,0xca,0xde,0x88
	.pbyte	0xb6,0x26,0x80,0xf4,0x57,0x7f,0xf2,0x0d,0x88,0xcf,0xe0,0x5e
	.pbyte	0x9e,0x04,0xbf,0x12,0x8b,0x97,0x2d,0x59,0x34,0x11,0xc9,0x98
	.pbyte	0x86,0x4c,0x09,0x4e,0xf2,0xc3,0x09,0x48,0xa1,0x92,0x3e,0x6e
	.pbyte	0xea,0x0f,0xf7,0x72,0x9e,0x60,0x8b,0x4e,0x9c,0x07,0x79,0x02
	.pbyte	0xa3,0xaf,0x07,0x72,0x6e,0xd7,0x90,0xf0,0x0c,0xcc,0x11,0x04
	.pbyte	0x6a,0xeb,0x93,0xa9,0x20,0x13,0xf5,0x69,0xc0,0x06,0x30,0x4c
	.pbyte	0x06,0x0f,0x74,0x73,0x2c,0xe7,0x8d,0x02,0x05,0x22,0x0c,0x60
	.pbyte	0x02,0x81,0x21,0x6e,0x9b,0xa8,0x46,0x20,0x9d,0xa1,0x2d,0xea
	.pbyte	0xd4,0x10,0x39,0xec,0x38,0xa1,0xa1,0x32,0x35,0xf8,0xb3,0x96
	.pbyte	0x61,0x2b,0x13,0x14,0x04,0x55,0xf7,0xd8,0xc6,0xc2,0x42,0x34
	.pbyte	0x2c,0x5c,0x68,0xe9,0x00,0xe0,0x16,0x21,0xff,0x71,0x45,0xf9
	.pbyte	0x1f,0x19,0x87,0xfe,0xe5,0xf6,0xce,0xb7,0xb2,0xe0,0x34,0x0a
	.pbyte	0x6e,0x1c,0xdf,0xc1,0xd8,0x94,0xd1,0x96,0x97,0x0e,0xe0,0x9c
	.pbyte	0x7c,0x1e,0x89,0x65,0xdc,0xac,0x7f,0x31,0x88,0xd1,0xa8,0xb4
	.pbyte	0xac,0x07,0x12,0xb6,0xd3,0xdb,0xf4,0xc4,0xa0,0x8a,0xda,0x22
	.pbyte	0x00,0x57,0xd6,0x83,0xa1,0xef,0x1c,0x52,0x22,0x08,0x68,0x16
	.pbyte	0x95,0x4a,0x2d,0xad,0x7a,0xe6,0xe6,0x68,0xd1,0xd3,0x2b,0x02
	.pbyte	0x70,0x30,0x7b,0xa9,0x44,0x3a,0xb4,0x90,0x3e,0xd8,0x23,0xb3
	.pbyte	0x41,0x69,0xb4,0x76,0x1e,0x37,0x22,0x71,0xd3,0xb9,0xbc,0x27
	.pbyte	0xdb,0x22,0x43,0x01,0x9c,0x16,0xbf,0x7c,0xed,0xae,0x9c,0xca
	.pbyte	0xbf,0x52,0xab,0x78,0xd5,0x2f,0x3a,0xfb,0xb3,0xbf,0xfc,0x5c
	.pbyte	0x22,0x13,0x37,0x35,0x37,0x9b,0x6d,0x59,0x07,0xe0,0xf9,0xe6
	.pbyte	0x1f,0x64,0xee,0x0b,0x8d,0xdb,0x7f,0x2e,0xf9,0x63,0x76,0x48
	.pbyte	0x00,0xf3,0x72,0x61,0x19,0xf7,0x69,0xdd,0x9f,0x47,0xf6,0xea
	.pbyte	0x0b,0x63,0x33,0xfd,0xaf,0x1c,0xf3,0xaf,0x7c,0xc6,0xa9,0xa9
	.pbyte	0xed,0x0a,0xf7,0x73,0x89,0x8f,0xdc,0x63,0xd8,0x73,0x52,0x82
	.pbyte	0xd8,0xa1,0xd0,0x54,0x79,0xcf,0xac,0xcd,0x2e,0x86,0x57,0x4c
	.pbyte	0x23,0xe4,0x68,0x15,0x3d,0x14,0x5c,0x2b,0x78,0x4c,0x60,0xe3
	.pbyte	0x38,0x8c,0x8c,0x63,0xb4,0x75,0x61,0x1e,0x51,0xa1,0x8e,0x9e
	.pbyte	0xce,0x9e,0xef,0x71,0xce,0xfb,0xaf,0x22,0xff,0xee,0xd3,0xd8
	.pbyte	0x88,0xa5,0xf7,0xb2,0x0f,0x4e,0x6c,0x56,0xf1,0xb8,0x47,0xce
	.pbyte	0x3d,0x61,0x3a,0xb5,0xa5,0x25,0x84,0x1b,0x4d,0x1f,0x72,0x8d
	.pbyte	0xf0,0xbb,0x9a,0xcf,0xe6,0x56,0xc4,0xaf,0x77,0x59,0x17,0x16
	.pbyte	0x31,0x79,0x7f,0xb9,0x57,0xc0,0x57,0x18,0x72,0xe0,0xd7,0x92
	.pbyte	0x50,0x6f,0xeb,0x30,0xff,0x90,0x77,0x64,0x06,0x1d,0x40,0x28
	.pbyte	0x14,0xca,0x74,0x46,0x54,0x0a,0x42,0x45,0x29,0x90,0x6e,0x42
	.pbyte	0x67,0xa4,0x4d,0x90,0xb3,0x84,0xa8,0xc7,0xac,0xba,0x85,0x7f
	.pbyte	0xea,0x7a,0x8b,0x58,0x4e,0xec,0x8e,0xb6,0x8b,0x58,0xee,0x47
	.pbyte	0x21,0xe7,0x14,0xc4,0x26,0xde,0xe9,0x4c,0xf6,0x9e,0x00,0xa3
	.pbyte	0x08,0xd6,0xec,0x65,0x0e,0xdf,0x27,0xcb,0xf3,0x1f,0x49,0xa4
	.pbyte	0x32,0x85,0x2e,0x30,0x3c,0x5b,0x66,0x70,0xcb,0x08,0xad,0x81
	.pbyte	0x58,0x32,0xcc,0x6b,0xe8,0xe8,0xe8,0xc6,0x9d,0xad,0x16,0x4e
	.pbyte	0xaf,0x62,0x46,0xda,0x40,0x34,0xb7,0x5a,0x38,0xa4,0xe8,0x18
	.pbyte	0x73,0x41,0x8d,0x86,0x10,0x18,0xd7,0x86,0x9e,0x9d,0xf6,0x64
	.pbyte	0x19,0x57,0x12,0xed,0x83,0xaa,0x81,0x21,0x19,0x8e,0x1b,0xeb
	.pbyte	0x68,0x43,0xb3,0xd1,0xc6,0x71,0x58,0x85,0x91,0x0f,0xf8,0xbf
	.pbyte	0x10,0x9a,0x12,0x75,0x77,0x94,0xbc,0xb2,0x4a,0x15,0x32,0xae
	.pbyte	0xc4,0x67,0x76,0x2e,0xe4,0x3c,0x39,0x75,0xfe,0xce,0x87,0x1e
	.pbyte	0x46,0x31,0x6b,0x57,0x90,0x2a,0x46,0x50,0xc8,0x0e,0x53,0x50
	.pbyte	0x54,0x81,0x03,0xb3,0x20,0x4f,0x9f,0xd4,0x84,0x91,0xcc,0x9b
	.pbyte	0x4d,0x75,0x02,0xf1,0xd7,0xb1,0xa1,0x74,0xaa,0xb9,0xde,0xf9
	.pbyte	0x62,0x61,0xd9,0xc3,0xaa,0x86,0xac,0xc3,0xd1,0x0c,0x47,0x56
	.pbyte	0x71,0x4d,0x6d,0x55,0x2b,0x7d,0x58,0x86,0xa9,0x54,0x2a,0x0b
	.pbyte	0x2b,0x4b,0x4e,0x27,0xd2,0xfb,0x4f,0xab,0x97,0x3d,0x1e,0xbd
	.pbyte	0x72,0x15,0xf9,0xec,0xc8,0xb8,0xf4,0xc3,0x99,0xa2,0xc3,0x29
	.pbyte	0x51,0x5a,0xe7,0x8e,0x97,0x82,0x8b,0x05,0xd5,0x3b,0x63,0x3c
	.pbyte	0x49,0x4f,0x41,0xdf,0xcb,0xbb,0x3c,0xe4,0x8d,0x5c,0x41,0x41
	.pbyte	0xb4,0xff,0x1c,0x9c,0xc0,0xf9,0x03,0xf2,0x9a,0x66,0x11,0xa4
	.pbyte	0x94,0x44,0x04,0xf9,0x6f,0x8b,0x64,0xee,0x3d,0x59,0x1c,0xc4
	.pbyte	0xb9,0xa3,0x75,0xa6,0x51,0x11,0xf2,0x02,0x8c,0x4a,0x94,0xe4
	.pbyte	0xda,0x88,0x06,0x8b,0x25,0x12,0x88,0x6a,0x4a,0x56,0x8b,0xe3
	.pbyte	0x18,0xe9,0x8f,0x52,0xa8,0x72,0xa9,0x6c,0x6c,0xa4,0xdb,0x8c
	.pbyte	0x6e,0x4a,0x1a,0xc8,0xc6,0x30,0x2a,0x84,0xcd,0xa1,0xc3,0x5a
	.pbyte	0xe7,0xc5,0xd6,0x4e,0x7b,0x63,0x03,0xd2,0x32,0x39,0x62,0xb9
	.pbyte	0x24,0x35,0x3e,0xf6,0x6c,0x8a,0xe9,0xd5,0x92,0x3a,0x7e,0xb7
	.pbyte	0xac,0xa9,0xfb,0x35,0xa6,0x54,0x3a,0x5a,0x52,0x3c,0xad,0xe1
	.pbyte	0x84,0xef,0xc2,0x6d,0x6d,0x9c,0x1a,0x3b,0xf8,0x7f,0x17,0xd7
	.pbyte	0x27,0x47,0xb9,0xaf,0x0e,0xde,0xac,0xaf,0x79,0x63,0x58,0x88
	.pbyte	0x9d,0x8d,0xf1,0xe9,0xeb,0xb5,0x5f,0x1c,0xbd,0x1a,0x17,0xe1
	.pbyte	0x9a,0xb4,0x71,0x85,0xc1,0x41,0xb4,0x75,0xb7,0x9f,0xcc,0x29
	.pbyte	0xaa,0x6b,0x6c,0x49,0x8a,0x61,0x85,0x05,0xae,0x32,0xec,0x36
	.pbyte	0xcb,0xd5,0xf7,0xc2,0x61,0xdf,0xa1,0x91,0xce,0x92,0x47,0xf5
	.pbyte	0xd7,0x6f,0x73,0x1b,0x04,0xfd,0x64,0xab,0x49,0x0b,0x95,0x4a
	.pbyte	0xe1,0xea,0x68,0xe9,0xeb,0x6e,0x15,0xb3,0x92,0xf9,0xcd,0xf6
	.pbyte	0x0d,0xef,0x3c,0x67,0x52,0xac,0x16,0x38,0xc6,0x45,0x91,0xcf
	.pbyte	0x74,0xc4,0x50,0x66,0x9b,0xb0,0xf7,0xca,0xff,0x4e,0x77,0x71
	.pbyte	0x0c,0x4d,0x6c,0xcf,0x99,0x00,0x00,0x00,0x00,0x49,0x45,0x4e
	.pbyte	0x44,0xae,0x42,0x60,0x82,0x1f,0x8b,0x08,0x00,0x00,0x00,0x00
	.pbyte	0x00,0x00,0x00,0x85,0x92,0x5f,0x6f,0x82,0x30,0x14,0xc5,0xdf
	.pbyte	0x97,0xf8,0x1d,0x9a,0x10,0xdf,0x46,0x06,0xba,0x66,0x8b,0x7d
	.pbyte	0x02,0x41,0x24,0x43,0x6b,0x18,0xcb,0xfe,0xbc,0x75,0x52,0x27
	.pbyte	0x09,0x82,0x91,0x6e,0x9a,0x2c,0xfb,0xee,0x6b,0x69,0xab,0x80
	.pbyte	0x66,0x0b,0xe1,0xe5,0xa6,0xf7,0xdc,0x73,0x7e,0xf7,0xba,0xd8
	.pbyte	0x7b,0x05,0xdf,0xbd,0x2b,0x00,0x16,0x8e,0xe7,0x85,0xf3,0xc0
	.pbyte	0x8c,0xc3,0x60,0x9a,0x8c,0x80,0xb5,0x3d,0xa0,0x63,0x2d,0xf2
	.pbyte	0x27,0xdd,0x92,0x8b,0x93,0x04,0xcf,0x3a,0xc5,0x04,0x2f,0x64
	.pbyte	0x45,0x08,0xba,0xce,0xf8,0x21,0x88,0xf1,0xd3,0xdc,0x1b,0x01
	.pbyte	0x23,0x4d,0x53,0x04,0x80,0x28,0xcf,0x9c,0x38,0x08,0xe7,0xf5
	.pbyte	0x33,0x80,0xea,0xca,0x04,0xcf,0xb9,0xfa,0xdd,0x7d,0xff,0xc6
	.pbyte	0x86,0xb0,0x0f,0x9c,0x5d,0x46,0xf2,0x6b,0x50,0x91,0xa2,0x32
	.pbyte	0x2b,0xba,0xcb,0x56,0xe2,0xd5,0x4f,0xef,0xca,0xd8,0x90,0xac
	.pbyte	0x90,0x5e,0x5d,0x1c,0x7b,0x7e,0xac,0xad,0x1a,0x84,0x10,0x60
	.pbyte	0x73,0xb9,0xaa,0xcc,0x33,0x3e,0xa6,0x39,0x78,0xbf,0xce,0x18
	.pbyte	0x45,0x6a,0xa8,0xca,0x41,0x3e,0x59,0x89,0xb4,0x86,0x2c,0x75
	.pbyte	0x25,0x4e,0x46,0xf5,0x90,0x56,0x93,0x0e,0xdf,0x6d,0x9b,0xfa
	.pbyte	0xf2,0xb1,0xdd,0x47,0x60,0x43,0x0e,0xe6,0x3e,0x4b,0xd9,0x9a
	.pbyte	0x47,0x83,0x3c,0xac,0xcc,0xb0,0xa6,0x24,0xa5,0xbb,0x36,0x71
	.pbyte	0x69,0xc1,0xbe,0x44,0xd7,0x3e,0xa3,0x6b,0x2b,0xba,0x7a,0x14
	.pbyte	0x1c,0xa8,0x42,0xe2,0xbf,0x24,0xa6,0x13,0x85,0x01,0x67,0xbb
	.pbyte	0xa4,0x05,0xa3,0x3b,0xa4,0xe1,0x9a,0xcf,0xea,0xf1,0x7b,0x99
	.pbyte	0x73,0x97,0x75,0xe9,0x31,0x7c,0xf3,0xb9,0x9a,0xec,0x96,0xde
	.pbyte	0x0a,0xf2,0xb5,0x2c,0x0b,0xc6,0x29,0x6b,0x87,0xad,0x15,0xae
	.pbyte	0x56,0xcb,0xa5,0x65,0x29,0x6d,0x2e,0xc5,0x58,0xb9,0x91,0xa4
	.pbyte	0xfe,0xa6,0x22,0xc5,0xb7,0xe4,0x83,0x0a,0xd1,0x9a,0x2c,0xc7
	.pbyte	0xaa,0xfd,0x0f,0x2d,0x7d,0x2f,0xfa,0x30,0x20,0xef,0x14,0xbf
	.pbyte	0xac,0x8b,0xde,0x55,0x59,0x32,0x6d,0x69,0x1c,0xf9,0x4e,0x2c
	.pbyte	0x92,0xb0,0x35,0xea,0xde,0x2c,0x14,0xb4,0x94,0x99,0x1a,0x56
	.pbyte	0x77,0x3f,0x6d,0xe2,0xf0,0x12,0x71,0x78,0x46,0x1c,0x2a,0x7f
	.pbyte	0x0d,0x6c,0x07,0xb3,0xda,0x90,0x3c,0x47,0x1d,0x40,0x43,0xf1
	.pbyte	0xa1,0x76,0x12,0x4b,0x25,0xb9,0xb0,0x9f,0x3a,0x9c,0xfc,0x24
	.pbyte	0x9e,0xe9,0xa0,0x75,0x18,0xa7,0xd1,0xad,0x4c,0x62,0x09,0x83
	.pbyte	0x53,0xa6,0xe6,0x96,0xcc,0x31,0x8e,0x30,0xa7,0x63,0x50,0x4a
	.pbyte	0x95,0xba,0x54,0x5e,0x48,0xe1,0xa6,0xb1,0x81,0x75,0x64,0xfc
	.pbyte	0xef,0x95,0xdc,0xca,0x55,0xfc,0x02,0xa5,0xb8,0x5c,0xf5,0x2d
	.pbyte	0x04,0x00,0x00,0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00
	.pbyte	0x00,0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x20,0x00
	.pbyte	0x00,0x00,0x20,0x08,0x06,0x00,0x00,0x00,0x73,0x7a,0x7a,0xf4
	.pbyte	0x00,0x00,0x00,0x01,0x73,0x52,0x47,0x42,0x00,0xae,0xce,0x1c
	.pbyte	0xe9,0x00,0x00,0x00,0x06,0x62,0x4b,0x47,0x44,0x00,0xff,0x00
	.pbyte	0xff,0x00,0xff,0xa0,0xbd,0xa7,0x93,0x00,0x00,0x00,0x09,0x70
	.pbyte	0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,0x13,0x01
	.pbyte	0x00,0x9a,0x9c,0x18,0x00,0x00,0x00,0x07,0x74,0x49,0x4d,0x45
	.pbyte	0x07,0xdc,0x09,0x11,0x13,0x24,0x38,0x8b,0x17,0x60,0x6e,0x00
	.pbyte	0x00,0x06,0x7e,0x49,0x44,0x41,0x54,0x58,0xc3,0xc5,0x97,0xcb
	.pbyte	0x8f,0x5c,0x57,0x11,0xc6,0x7f,0x75,0xce,0x7d,0xf4,0xf4,0x3c
	.pbyte	0x3c,0x63,0x7b,0x12,0x29,0x1e,0x3b,0x02,0x29,0x4a,0x1c,0xdb
	.pbyte	0x89,0xad,0xf0,0xb0,0x92,0x25,0x0b,0x0b,0x09,0x09,0x36,0x20
	.pbyte	0x24,0xc4,0x8a,0x4d,0x02,0x12,0x2b,0x16,0x2c,0xd8,0x80,0xc4
	.pbyte	0x26,0xec,0x58,0x60,0x2b,0x22,0x20,0x16,0x88,0x05,0x82,0xff
	.pbyte	0x00,0x8c,0x78,0x08,0x12,0xa1,0xc4,0x0e,0x49,0x20,0x92,0x23
	.pbyte	0x12,0x93,0x31,0xb6,0xa7,0xe7,0xd5,0xcf,0xfb,0x3a,0x55,0x2c
	.pbyte	0xee,0xed,0xc7,0x78,0x66,0xe2,0xd9,0x71,0xd5,0xa5,0x73,0xbb
	.pbyte	0x5b,0x57,0xf5,0x9d,0xaf,0xbe,0xaf,0x4e,0x5d,0xf8,0x3f,0x5f
	.pbyte	0xf2,0xe0,0xf7,0x9f,0x5c,0xbd,0xf6,0xc2,0xd9,0xa7,0xcf,0x5d
	.pbyte	0x13,0x28,0x45,0x1c,0xe2,0x1d,0x4e,0x04,0xe7,0x1c,0x22,0x52
	.pbyte	0x07,0x20,0x4e,0x66,0x1e,0x37,0x4c,0xc1,0x30,0xcc,0xea,0x50
	.pbyte	0x33,0x54,0x15,0x53,0xc3,0x34,0x60,0x10,0xff,0xf3,0xdd,0x77
	.pbyte	0x5e,0xfc,0xe6,0x4b,0x2f,0xfe,0x05,0xb0,0x71,0xc2,0xe8,0x01
	.pbyte	0x00,0xbe,0xd3,0xd9,0x38,0x2d,0xce,0x9f,0x73,0xae,0x4e,0xea
	.pbyte	0x5c,0x0d,0x40,0xc6,0x6b,0x13,0xc0,0x64,0x35,0x00,0x9b,0x26
	.pbyte	0x9f,0x05,0xa0,0x66,0x68,0x70,0x98,0x1a,0x9d,0x4e,0xe7,0x34
	.pbyte	0xe0,0x81,0xea,0x30,0x00,0x94,0x55,0xf0,0x49,0x1c,0x23,0x22
	.pbyte	0x8c,0x41,0x8c,0x93,0x4f,0x58,0x68,0x18,0x30,0xab,0xef,0x11
	.pbyte	0xc3,0x8c,0x29,0x00,0x35,0xd4,0x14,0xd5,0x06,0x84,0x28,0x86
	.pbyte	0x51,0x56,0x95,0x7f,0x30,0xdf,0x3e,0x00,0x4e,0x84,0x28,0xf2
	.pbyte	0x0d,0x00,0xb7,0x27,0x44,0x64,0xc2,0x02,0x22,0x34,0x04,0x60
	.pbyte	0x36,0x65,0x40,0xc7,0xab,0x2a,0xa6,0x8a,0xaa,0x23,0x58,0x5d
	.pbyte	0x0a,0x27,0xc2,0x43,0x01,0x88,0x08,0x3e,0x8a,0x10,0x04,0xef
	.pbyte	0xc7,0xc9,0x05,0xe7,0x7c,0x53,0x8a,0xf1,0xae,0x65,0x46,0x01
	.pbyte	0x0d,0x00,0x98,0xd9,0xbd,0x43,0x4d,0x91,0xa0,0x88,0x0a,0xe6
	.pbyte	0x6c,0x52,0xb2,0x87,0x00,0x70,0x44,0x91,0x9f,0x50,0xee,0x9c
	.pbyte	0x9f,0x96,0x62,0x22,0x42,0xa1,0xf9,0x4c,0x19,0xa0,0x11,0xa1
	.pbyte	0x33,0x9c,0xd5,0x35,0x57,0x55,0x82,0x28,0xaa,0x01,0x33,0x43
	.pbyte	0xc4,0x71,0x84,0x12,0x40,0xe4,0x3d,0x22,0x0e,0xef,0x1c,0xce
	.pbyte	0x8f,0xc5,0x37,0x06,0x30,0xb3,0xfb,0x49,0x0d,0xea,0xe4,0x13
	.pbyte	0x16,0xac,0x06,0x22,0x2a,0x88,0x0a,0x1a,0x04,0xc5,0x70,0xfb
	.pbyte	0x09,0xd8,0x0f,0x00,0xe7,0xf0,0x51,0x84,0x43,0x26,0xc9,0x67
	.pbyte	0x77,0x0f,0x33,0x65,0x98,0xb9,0xc6,0x89,0x67,0xdd,0x30,0xcb
	.pbyte	0x98,0xc3,0xc0,0x1d,0x81,0x01,0xa1,0x66,0x00,0xc0,0x3b,0x5f
	.pbyte	0x27,0x9b,0x11,0xdf,0x1e,0x01,0xda,0xb8,0x0e,0xb6,0x47,0x88
	.pbyte	0x66,0xa0,0xa6,0x38,0xb3,0xda,0x31,0x22,0x98,0x1d,0x91,0x01
	.pbyte	0xe7,0x04,0xef,0x5c,0x8d,0xda,0x0b,0x50,0x8b,0x50,0x64,0x6f
	.pbyte	0xd4,0x4c,0x4c,0xb7,0x6f,0x32,0x4d,0x6e,0xa6,0x88,0x79,0xd4
	.pbyte	0xb4,0x06,0xab,0xf5,0x7f,0x1c,0x49,0x84,0xd4,0x8a,0xaf,0x37
	.pbyte	0xba,0xbf,0x01,0x4d,0xe3,0x81,0x12,0x98,0x34,0x4c,0x18,0x66
	.pbyte	0x0e,0x55,0x43,0x1a,0x31,0xe2,0x14,0x10,0x1c,0x47,0xb4,0xa1
	.pbyte	0x6b,0x6a,0xe5,0x9c,0x4c,0xba,0xe0,0x3e,0x00,0x7b,0x44,0x68
	.pbyte	0xd4,0xf9,0xad,0x76,0x82,0x80,0x13,0x23,0xa8,0x61,0x04,0x30
	.pbyte	0xb7,0xa7,0x73,0x3e,0x1c,0x80,0x1f,0x3f,0xc0,0x54,0xfd,0x0d
	.pbyte	0x13,0x08,0x4d,0x43,0x99,0xf5,0x61,0x0d,0xb4,0xd7,0xcd,0xe9
	.pbyte	0xe7,0xff,0x26,0x0f,0xf7,0xa9,0xc2,0x08,0x91,0x16,0x89,0x3c
	.pbyte	0x42,0x3b,0x39,0xc5,0xfc,0x7c,0x7a,0x34,0x00,0xe3,0x04,0xd6
	.pbyte	0x74,0xc5,0xba,0xfe,0x6e,0x22,0xa6,0x09,0xa8,0xf1,0x8e,0x04
	.pbyte	0xfa,0xdd,0x8c,0x0f,0x77,0xaf,0x51,0x26,0xef,0x92,0xa4,0xc7
	.pbyte	0x48,0xfc,0x49,0x22,0x99,0xa3,0xd2,0xc0,0x4e,0xd9,0x65,0x7d
	.pbyte	0x90,0x33,0xd7,0xbd,0xc4,0x7f,0xd7,0xb7,0xed,0xf8,0x6a,0x9b
	.pbyte	0xad,0x8d,0xe1,0xc7,0x37,0xa2,0x31,0xc5,0xe3,0x9d,0x1e,0x44
	.pbyte	0xbf,0xb8,0xda,0x8e,0x77,0xee,0xfe,0x83,0x5b,0xd9,0x97,0x49
	.pbyte	0xd3,0x0b,0x2c,0xa6,0x67,0x69,0xc7,0x8f,0x91,0x46,0xcb,0x38
	.pbyte	0x69,0x61,0x28,0xed,0x78,0x44,0xe2,0x3b,0xdc,0xef,0xfd,0xd9
	.pbyte	0x9e,0xfb,0xea,0xf6,0xd5,0x5d,0x3e,0xfb,0xf6,0xcf,0x7f,0x7c
	.pbyte	0xfd,0xe6,0x44,0xf4,0x07,0x9e,0xd1,0x7b,0xec,0x26,0x7b,0x2c
	.pbyte	0x3a,0x6d,0xc3,0xc2,0xfa,0x9d,0xb7,0xb9,0xd1,0x7f,0x1e,0x75
	.pbyte	0x6b,0xc4,0x6e,0x8d,0xc4,0x9d,0x20,0x68,0x44,0x56,0xe5,0x94
	.pbyte	0x3a,0xa2,0xd4,0x02,0xf0,0x2c,0xa4,0x27,0x59,0x69,0xaf,0x49
	.pbyte	0x6b,0x7e,0x6e,0xe1,0x85,0xaf,0x70,0xe3,0x6b,0x2f,0x5d,0x7e
	.pbyte	0xea,0x63,0x18,0x98,0xfa,0x76,0x52,0xea,0x26,0x10,0x9a,0xd2
	.pbyte	0x40,0xbf,0x5f,0xf0,0xda,0xe6,0xe7,0x89,0x5b,0xab,0x38,0x39
	.pbyte	0x8e,0x48,0x1b,0xe7,0xe6,0xb8,0xbd,0xfb,0x06,0xa3,0x70,0x8b
	.pbyte	0x76,0xbc,0x8c,0x99,0x63,0x21,0xfd,0x04,0x6b,0x8b,0xcf,0xd3
	.pbyte	0x4a,0xba,0xb4,0x93,0x45,0xd9,0x76,0xf7,0xec,0x53,0x5f,0xe2
	.pbyte	0x8f,0xbf,0xbc,0xca,0xa3,0x4c,0xe4,0x79,0xc0,0x84,0x22,0x13
	.pbyte	0x53,0x36,0x65,0xb0,0xda,0xef,0x63,0x0d,0xfc,0xfd,0x83,0x1f
	.pbyte	0xb2,0x53,0xee,0xa0,0x7a,0x1c,0xd3,0x18,0x35,0x57,0xfb,0x5f
	.pbyte	0x22,0xbc,0x2c,0xe0,0x65,0x89,0xc8,0x2d,0x12,0x4b,0x0b,0x11
	.pbyte	0x8f,0x97,0x14,0xef,0x63,0xe2,0x28,0x96,0x5c,0xba,0xab,0xdf
	.pbyte	0x7d,0xe5,0xe2,0xf7,0x0e,0x2c,0x81,0xed,0x35,0x77,0x13,0xd3
	.pbyte	0xdf,0xcd,0x20,0x1b,0x28,0x6f,0xde,0x7f,0x85,0xbc,0xf0,0x94
	.pbyte	0x25,0x94,0x21,0x10,0xb4,0xa4,0xd4,0x82,0x32,0x28,0x45,0x05
	.pbyte	0x95,0x66,0x18,0x39,0x26,0x01,0xb3,0x3a,0xd4,0x8c,0x60,0x01
	.pbyte	0x33,0x31,0x59,0xea,0x7f,0xfb,0xd0,0x46,0x34,0x53,0x8b,0x26
	.pbyte	0xa6,0x02,0x10,0x81,0x0f,0xef,0xde,0x60,0x23,0xeb,0xb3,0xe2
	.pbyte	0x63,0xda,0x71,0x60,0x2e,0xc9,0x28,0xc2,0x90,0x42,0x07,0x64
	.pbyte	0x65,0xc9,0xa8,0xaa,0x88,0x5c,0x41,0x12,0x39,0x54,0x2b,0x2a
	.pbyte	0x1b,0x90,0x57,0x7d,0xf2,0x6a,0x48,0x19,0x72,0xca,0x50,0x89
	.pbyte	0xa5,0xd9,0xc9,0xa7,0x9e,0x3d,0xf5,0xc4,0x01,0x36,0x94,0xfd
	.pbyte	0x94,0x88,0xd5,0x7d,0xbf,0xb9,0xd6,0x77,0xde,0x62,0xab,0x0b
	.pbyte	0x16,0x94,0xc4,0x0d,0x48,0xa2,0x2e,0x91,0xdf,0x21,0xf2,0x29
	.pbyte	0x83,0xbc,0x4f,0xaf,0xc8,0x50,0x33,0xd2,0xc8,0xe3,0xa5,0xcb
	.pbyte	0x42,0xd2,0xa1,0x57,0x6c,0xd0,0xcf,0xb7,0x18,0x16,0x7d,0xb2
	.pbyte	0x22,0xa7,0x3f,0xcc,0xb9,0x70,0x25,0x7a,0x66,0x3f,0x80,0x86
	.pbyte	0x72,0x9a,0xce,0x86,0x13,0xc6,0x6d,0x7c,0xfc,0x73,0x77,0xd8
	.pbyte	0x63,0x63,0x1b,0x54,0x03,0x5e,0x46,0x7c,0x74,0x7b,0x9d,0xd5
	.pbyte	0x13,0x23,0x56,0x96,0x37,0xd9,0x2a,0xfa,0x94,0x9a,0xd1,0x6f
	.pbyte	0x25,0x38,0x0f,0x1b,0xbe,0xe2,0xde,0x56,0x8f,0xad,0xde,0x26
	.pbyte	0x1b,0xdb,0x1b,0x2c,0x2e,0x97,0x8c,0x8a,0x9c,0xdd,0x41,0xce
	.pbyte	0xb0,0x28,0xe6,0x0f,0x64,0xc0,0xc6,0x45,0x17,0x41,0x9a,0x63
	.pbyte	0xb5,0x26,0xc2,0x30,0x11,0xda,0xc9,0x71,0x46,0x05,0x35,0x88
	.pbyte	0x6a,0x84,0xcb,0x8d,0xbf,0xbe,0x7e,0x8f,0x95,0x47,0x63,0x96
	.pbyte	0x4e,0xc6,0xcc,0x2f,0xb6,0x48,0x92,0x18,0x27,0x50,0x94,0xeb
	.pbyte	0x0c,0x06,0x05,0x3b,0x9b,0x39,0xcf,0x3c,0xb9,0x8a,0x0e,0x02
	.pbyte	0xdd,0x41,0x46,0x15,0x02,0x59,0x2f,0xde,0xde,0xaf,0x01,0x9b
	.pbyte	0x8e,0x57,0xf5,0xf1,0x22,0x48,0x23,0x41,0x13,0x10,0x53,0x1e
	.pbyte	0x3f,0x76,0x11,0xf1,0x50,0x05,0xe8,0x74,0x0b,0x96,0xe7,0x85
	.pbyte	0x27,0x2f,0x2c,0xf0,0xce,0xcd,0x1e,0xa3,0x51,0x60,0x6e,0xa9
	.pbyte	0x20,0x49,0xeb,0xd6,0x1d,0x82,0x91,0x8d,0x02,0x97,0x2e,0xac
	.pbyte	0x12,0xa7,0x05,0xdd,0x41,0x49,0x51,0x04,0xcc,0xe0,0x77,0xaf
	.pbyte	0x66,0x6f,0x1c,0x30,0x90,0x34,0xc3,0xc5,0xc4,0x11,0x86,0x4e
	.pbyte	0xcd,0x88,0x1a,0x9c,0x39,0xfd,0x04,0xab,0xfe,0x14,0x5b,0xb6
	.pbyte	0x4e,0x19,0x8c,0xde,0xb0,0x64,0x61,0x0e,0x9e,0x7e,0x76,0x9e
	.pbyte	0x9b,0x6f,0x0e,0x18,0x66,0x81,0x38,0x01,0x17,0x09,0xa6,0xf0
	.pbyte	0x99,0xe7,0x4e,0x20,0xbe,0xa0,0x37,0x08,0xe4,0x79,0xa0,0xac
	.pbyte	0xd4,0xba,0x1d,0x7d,0x0f,0xb2,0xf5,0xfd,0x9d,0xb0,0x61,0x40
	.pbyte	0xd4,0x66,0x6c,0xb8,0x37,0x92,0xd4,0x71,0xe5,0x93,0xdf,0x42
	.pbyte	0x3c,0x44,0x1e,0xb2,0x2a,0xd0,0x1f,0x55,0x14,0x52,0x72,0xfe
	.pbyte	0xd2,0x1c,0xc3,0x9e,0xd1,0xef,0x19,0xfd,0xae,0x72,0xe1,0xdc
	.pbyte	0x12,0x95,0x95,0x74,0xfb,0x05,0xc3,0x51,0x45,0x51,0x06,0x4a
	.pbyte	0x2d,0xe5,0xce,0x4d,0x7b,0xf9,0xe0,0x56,0x2c,0x35,0xed,0x26
	.pbyte	0x7b,0x99,0x98,0xcc,0xfd,0x80,0xaa,0xf2,0x85,0xcb,0xdf,0xe0
	.pbyte	0x31,0x7f,0x96,0x38,0x82,0x34,0x86,0x52,0x2b,0x86,0x59,0x45
	.pbyte	0x11,0x4a,0xce,0x5d,0x6a,0x51,0xe5,0x70,0xfe,0xfc,0x3c,0x45
	.pbyte	0x55,0xd2,0xef,0x97,0x64,0x59,0xa0,0x2a,0x95,0xa2,0x2a,0xd9
	.pbyte	0xfc,0x8f,0xbe,0x7e,0xe3,0xb7,0xd9,0x2f,0x0e,0x3d,0x0b,0x60
	.pbyte	0xa6,0x01,0x69,0xfd,0xa2,0x61,0x68,0xf3,0xd2,0x51,0xaf,0xad
	.pbyte	0x76,0xcc,0x77,0x3e,0xf7,0x2b,0xd2,0x70,0x9c,0x38,0x82,0xb9
	.pbyte	0x14,0x9c,0xaf,0x28,0xb5,0xa2,0xb2,0x8a,0x8b,0x97,0x53,0x2a
	.pbyte	0x02,0x45,0xa9,0x54,0x41,0xa9,0x34,0x90,0x55,0x19,0x3b,0x9d
	.pbyte	0xf2,0xce,0x1f,0x5e,0xb6,0x2f,0x02,0x7a,0x20,0x80,0xf1,0xe8
	.pbyte	0x6c,0x34,0x6e,0x98,0x61,0x40,0x1b,0x73,0xa8,0x41,0x30,0x63
	.pbyte	0xed,0xcc,0x19,0xbe,0x7f,0xe5,0x3a,0x27,0xf4,0x22,0x01,0x68
	.pbyte	0xc5,0xd0,0x4e,0x95,0x34,0x2d,0x11,0xc9,0x89,0xa2,0x02,0x5c
	.pbyte	0x4e,0xb0,0x91,0x65,0x61,0xc4,0xbd,0xf7,0xf5,0xb5,0xdf,0xff
	.pbyte	0x40,0x3e,0x0d,0xd5,0xdd,0xc3,0x0e,0x23,0xdb,0xda,0xec,0xdc
	.pbyte	0x7d,0xff,0xd6,0xad,0xbf,0x15,0x45,0x51,0x9f,0x8b,0x33,0xe3
	.pbyte	0x57,0xbd,0xce,0x8e,0x63,0xf5,0xcd,0xd7,0xcf,0xff,0xc8,0x7e
	.pbyte	0x73,0xfd,0xd5,0xf4,0xad,0xe1,0xaf,0x1f,0x59,0x79,0x5c,0x4f
	.pbyte	0x25,0x2d,0x43,0xc5,0x30,0x0b,0x14,0x99,0xb0,0x7d,0x5b,0xfe
	.pbyte	0xf5,0xc1,0x9f,0xdc,0x4f,0xef,0xde,0x0c,0x3f,0x3b,0xb6,0x96
	.pbyte	0xec,0xec,0x7e,0x14,0x0e,0x7d,0x3b,0x06,0x98,0x07,0x96,0x0f
	.pbyte	0x1c,0x56,0x1e,0x7e,0x25,0xc0,0x89,0xa5,0xb5,0xf8,0x4c,0x6b
	.pbyte	0xa5,0x6a,0x67,0x5b,0xd1,0x6e,0x77,0xbd,0x7c,0x0f,0xb8,0x23
	.pbyte	0x8e,0xa1,0x29,0xe5,0x83,0xc7,0xcd,0xff,0x00,0x79,0x86,0xae
	.pbyte	0x37,0x5e,0xdc,0x6b,0xab,0x00,0x00,0x00,0x00,0x49,0x45,0x4e
	.pbyte	0x44,0xae,0x42,0x60,0x82,0x3c,0x21,0x44,0x4f,0x43,0x54,0x59
	.pbyte	0x50,0x45,0x20,0x48,0x54,0x4d,0x4c,0x20,0x50,0x55,0x42,0x4c
	.pbyte	0x49,0x43,0x20,0x22,0x2d,0x2f,0x2f,0x57,0x33,0x43,0x2f,0x2f
	.pbyte	0x44,0x54,0x44,0x20,0x48,0x54,0x4d,0x4c,0x20,0x34,0x2e,0x30
	.pbyte	0x31,0x20,0x54,0x72,0x61,0x6e,0x73,0x69,0x74,0x69,0x6f,0x6e
	.pbyte	0x61,0x6c,0x2f,0x2f,0x45,0x4e,0x22,0x20,0x22,0x68,0x74,0x74
	.pbyte	0x70,0x3a,0x2f,0x2f,0x77,0x77,0x77,0x2e,0x77,0x33,0x63,0x2e
	.pbyte	0x6f,0x72,0x67,0x2f,0x54,0x52,0x2f,0x31,0x39,0x39,0x39,0x2f
	.pbyte	0x52,0x45,0x43,0x2d,0x68,0x74,0x6d,0x6c,0x34,0x30,0x31,0x2d
	.pbyte	0x31,0x39,0x39,0x39,0x31,0x32,0x32,0x34,0x2f,0x6c,0x6f,0x6f
	.pbyte	0x73,0x65,0x2e,0x64,0x74,0x64,0x22,0x3e,0x0d,0x0a,0x3c,0x68
	.pbyte	0x74,0x6d,0x6c,0x3e,0x0d,0x0a,0x3c,0x48,0x45,0x41,0x44,0x3e
	.pbyte	0x0d,0x0a,0x3c,0x74,0x69,0x74,0x6c,0x65,0x3e,0x49,0x67,0x72
	.pbyte	0x6f,0x20,0x54,0x65,0x72,0x6d,0x6f,0x20,0x4c,0x6f,0x67,0x67
	.pbyte	0x65,0x72,0x3c,0x2f,0x74,0x69,0x74,0x6c,0x65,0x3e,0x0d,0x0a
	.pbyte	0x3c,0x4d,0x45,0x54,0x41,0x20,0x68,0x74,0x74,0x70,0x2d,0x65
	.pbyte	0x71,0x75,0x69,0x76,0x3d,0x43,0x6f,0x6e,0x74,0x65,0x6e,0x74
	.pbyte	0x2d,0x54,0x79,0x70,0x65,0x20,0x63,0x6f,0x6e,0x74,0x65,0x6e
	.pbyte	0x74,0x3d,0x74,0x65,0x78,0x74,0x2f,0x68,0x74,0x6d,0x6c,0x3b
	.pbyte	0x63,0x68,0x61,0x72,0x73,0x65,0x74,0x3d,0x69,0x73,0x6f,0x2d
	.pbyte	0x38,0x38,0x35,0x39,0x2d,0x31,0x3e,0x0d,0x0a,0x3c,0x4c,0x49
	.pbyte	0x4e,0x4b,0x20,0x68,0x72,0x65,0x66,0x3d,0x22,0x73,0x74,0x79
	.pbyte	0x6c,0x65,0x2e,0x63,0x73,0x73,0x22,0x20,0x74,0x79,0x70,0x65
	.pbyte	0x3d,0x74,0x65,0x78,0x74,0x2f,0x63,0x73,0x73,0x20,0x72,0x65
	.pbyte	0x6c,0x3d,0x73,0x74,0x79,0x6c,0x65,0x73,0x68,0x65,0x65,0x74
	.pbyte	0x3e,0x0d,0x0a,0x3c,0x6d,0x65,0x74,0x61,0x20,0x6e,0x61,0x6d
	.pbyte	0x65,0x3d,0x76,0x69,0x65,0x77,0x70,0x6f,0x72,0x74,0x20,0x63
	.pbyte	0x6f,0x6e,0x74,0x65,0x6e,0x74,0x3d,0x22,0x77,0x69,0x64,0x74
	.pbyte	0x68,0x3d,0x64,0x65,0x76,0x69,0x63,0x65,0x2d,0x77,0x69,0x64
	.pbyte	0x74,0x68,0x2c,0x20,0x69,0x6e,0x69,0x74,0x69,0x61,0x6c,0x2d
	.pbyte	0x73,0x63,0x61,0x6c,0x65,0x3d,0x31,0x2e,0x30,0x2c,0x20,0x6d
	.pbyte	0x61,0x78,0x69,0x6d,0x75,0x6d,0x2d,0x73,0x63,0x61,0x6c,0x65
	.pbyte	0x3d,0x31,0x2e,0x30,0x2c,0x20,0x75,0x73,0x65,0x72,0x2d,0x73
	.pbyte	0x63,0x61,0x6c,0x61,0x62,0x6c,0x65,0x3d,0x6e,0x6f,0x22,0x3e
	.pbyte	0x0d,0x0a,0x3c,0x6d,0x65,0x74,0x61,0x20,0x68,0x74,0x74,0x70
	.pbyte	0x2d,0x65,0x71,0x75,0x69,0x76,0x3d,0x22,0x72,0x65,0x66,0x72
	.pbyte	0x65,0x73,0x68,0x22,0x20,0x63,0x6f,0x6e,0x74,0x65,0x6e,0x74
	.pbyte	0x3d,0x22,0x36,0x30,0x22,0x3e,0x0d,0x0a,0x0d,0x0a,0x3c,0x2f
	.pbyte	0x48,0x45,0x41,0x44,0x3e,0x0d,0x0a,0x0d,0x0a,0x3c,0x62,0x6f
	.pbyte	0x64,0x79,0x3e,0x0d,0x0a,0x3c,0x44,0x49,0x56,0x20,0x69,0x64
	.pbyte	0x3d,0x6d,0x61,0x69,0x6e,0x3e,0x0d,0x0a,0x20,0x20,0x3c,0x64
	.pbyte	0x69,0x76,0x20,0x69,0x64,0x3d,0x22,0x68,0x65,0x61,0x64,0x65
	.pbyte	0x72,0x22,0x3e,0x3c,0x68,0x31,0x3e,0x49,0x67,0x72,0x6f,0x20
	.pbyte	0x54,0x65,0x72,0x6d,0x6f,0x20,0x4c,0x6f,0x67,0x67,0x65,0x72
	.pbyte	0x3c,0x2f,0x68,0x31,0x3e,0x3c,0x2f,0x64,0x69,0x76,0x3e,0x0d
	.pbyte	0x0a,0x20,0x20,0x3c,0x64,0x69,0x76,0x20,0x69,0x64,0x3d,0x6e
	.pbyte	0x61,0x76,0x63,0x6f,0x6e,0x74,0x61,0x69,0x6e,0x65,0x72,0x3e
	.pbyte	0x26,0x6e,0x62,0x73,0x70,0x3b,0x3c,0x2f,0x64,0x69,0x76,0x3e
	.pbyte	0x0d,0x0a,0x20,0x20,0x0d,0x0a,0x20,0x20,0x3c,0x64,0x69,0x76
	.pbyte	0x20,0x69,0x64,0x3d,0x70,0x61,0x67,0x65,0x3e,0x0d,0x0a,0x20
	.pbyte	0x20,0x3c,0x48,0x32,0x3e,0x4d,0x69,0x73,0x75,0x72,0x65,0x20
	.pbyte	0x69,0x73,0x74,0x61,0x6e,0x74,0x61,0x6e,0x65,0x65,0x3c,0x2f
	.pbyte	0x48,0x32,0x3e,0x0d,0x0a,0x20,0x20,0x0d,0x0a,0x20,0x20,0x3c
	.pbyte	0x74,0x61,0x62,0x6c,0x65,0x20,0x77,0x69,0x64,0x74,0x68,0x3d
	.pbyte	0x35,0x30,0x25,0x3e,0x0d,0x0a,0x20,0x20,0x3c,0x74,0x72,0x3e
	.pbyte	0x3c,0x74,0x64,0x3e,0x3c,0x69,0x6d,0x67,0x20,0x73,0x72,0x63
	.pbyte	0x3d,0x22,0x74,0x65,0x6d,0x70,0x2e,0x67,0x69,0x66,0x22,0x3e
	.pbyte	0x3c,0x2f,0x74,0x64,0x3e,0x3c,0x74,0x64,0x20,0x6e,0x6f,0x77
	.pbyte	0x72,0x61,0x70,0x3e,0x3c,0x70,0x3e,0x7e,0x74,0x65,0x6d,0x70
	.pbyte	0x68,0x75,0x6d,0x69,0x64,0x28,0x30,0x29,0x7e,0x20,0xb0,0x43
	.pbyte	0x3c,0x2f,0x70,0x3e,0x3c,0x2f,0x74,0x64,0x3e,0x3c,0x2f,0x74
	.pbyte	0x72,0x3e,0x0d,0x0a,0x20,0x20,0x3c,0x74,0x72,0x3e,0x3c,0x74
	.pbyte	0x64,0x3e,0x3c,0x69,0x6d,0x67,0x20,0x73,0x72,0x63,0x3d,0x22
	.pbyte	0x68,0x75,0x6d,0x69,0x64,0x69,0x74,0x79,0x2e,0x67,0x69,0x66
	.pbyte	0x22,0x3e,0x3c,0x2f,0x74,0x64,0x3e,0x3c,0x74,0x64,0x20,0x6e
	.pbyte	0x6f,0x77,0x72,0x61,0x70,0x3e,0x3c,0x70,0x3e,0x7e,0x74,0x65
	.pbyte	0x6d,0x70,0x68,0x75,0x6d,0x69,0x64,0x28,0x31,0x29,0x7e,0x20
	.pbyte	0x25,0x3c,0x2f,0x70,0x3e,0x3c,0x2f,0x74,0x64,0x3e,0x3c,0x2f
	.pbyte	0x74,0x72,0x3e,0x0d,0x0a,0x20,0x20,0x3c,0x2f,0x74,0x61,0x62
	.pbyte	0x6c,0x65,0x3e,0x0d,0x0a,0x20,0x20,0x0d,0x0a,0x20,0x20,0x3c
	.pbyte	0x48,0x32,0x3e,0x44,0x6f,0x77,0x6e,0x6c,0x6f,0x61,0x64,0x3c
	.pbyte	0x2f,0x48,0x32,0x3e,0x0d,0x0a,0x20,0x20,0x0d,0x0a,0x20,0x20
	.pbyte	0x3c,0x74,0x61,0x62,0x6c,0x65,0x20,0x77,0x69,0x64,0x74,0x68
	.pbyte	0x3d,0x35,0x30,0x25,0x3e,0x0d,0x0a,0x20,0x20,0x3c,0x74,0x72
	.pbyte	0x3e,0x3c,0x74,0x64,0x3e,0x3c,0x69,0x6d,0x67,0x20,0x73,0x72
	.pbyte	0x63,0x3d,0x22,0x64,0x6f,0x77,0x6e,0x6c,0x6f,0x61,0x64,0x2e
	.pbyte	0x70,0x6e,0x67,0x22,0x3e,0x3c,0x2f,0x74,0x64,0x3e,0x3c,0x74
	.pbyte	0x64,0x3e,0x3c,0x70,0x3e,0x3c,0x61,0x20,0x68,0x72,0x65,0x66
	.pbyte	0x3d,0x22,0x2e,0x2f,0x6c,0x65,0x74,0x74,0x75,0x72,0x65,0x2e
	.pbyte	0x6c,0x6f,0x67,0x22,0x3e,0x6c,0x65,0x74,0x74,0x75,0x72,0x65
	.pbyte	0x2e,0x6c,0x6f,0x67,0x3c,0x2f,0x61,0x3e,0x3c,0x2f,0x70,0x3e
	.pbyte	0x3c,0x2f,0x74,0x64,0x3e,0x3c,0x2f,0x74,0x72,0x3e,0x0d,0x0a
	.pbyte	0x20,0x20,0x3c,0x2f,0x74,0x61,0x62,0x6c,0x65,0x3e,0x0d,0x0a
	.pbyte	0x20,0x20,0x0d,0x0a,0x20,0x20,0x3c,0x2f,0x64,0x69,0x76,0x3e
	.pbyte	0x0d,0x0a,0x0d,0x0a,0x20,0x20,0x3c,0x64,0x69,0x76,0x20,0x69
	.pbyte	0x64,0x3d,0x22,0x66,0x6f,0x6f,0x74,0x65,0x72,0x22,0x3e,0x44
	.pbyte	0x65,0x76,0x20,0x42,0x79,0x20,0x3c,0x61,0x20,0x68,0x72,0x65
	.pbyte	0x66,0x3d,0x27,0x77,0x77,0x77,0x2e,0x61,0x72,0x65,0x61,0x73
	.pbyte	0x78,0x2e,0x63,0x6f,0x6d,0x27,0x3e,0x41,0x72,0x65,0x61,0x53
	.pbyte	0x58,0x20,0x53,0x2e,0x72,0x2e,0x6c,0x2e,0x3c,0x2f,0x61,0x3e
	.pbyte	0x3c,0x2f,0x64,0x69,0x76,0x3e,0x0d,0x0a,0x3c,0x2f,0x44,0x49
	.pbyte	0x56,0x3e,0x0d,0x0a,0x3c,0x2f,0x62,0x6f,0x64,0x79,0x3e,0x0d
	.pbyte	0x0a,0x3c,0x2f,0x68,0x74,0x6d,0x6c,0x3e,0x0d,0x0a,0xba,0x02
	.pbyte	0x00,0x00,0x0f,0x00,0x00,0x00,0x10,0x03,0x00,0x00,0x10,0x00
	.pbyte	0x00,0x00,0x00
END_OF_MPFS:

	.section	.const,psv
	.global	_MPFS_Start
_MPFS_Start:
	.long	paddr(BEGIN_MPFS)

	.section	MPFSHelpers,code

	.global _ReadProgramMemory
_ReadProgramMemory:
	push		_TBLPAG
	mov			w1,_TBLPAG
	mov			w0,w5
	tblrdl		[w5],w0
	tblrdh		[w5],w1
	pop			_TBLPAG
	return
